Package tigase.util

## Enum Version.TYPE

- java.lang.Object
- - java.lang.Enum<Version.TYPE>
  - - tigase.util.Version.TYPE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Version.TYPE>`
  Enclosing class:
    Version

      public static enum Version.TYPE
      extends java.lang.Enum<Version.TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BETA` |
    `FINAL` |
    `RC` |
    `SNAPSHOT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` |
    `static Version.TYPE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Version.TYPE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNAPSHOT

          public static final Version.TYPE SNAPSHOT

    - #### BETA

          public static final Version.TYPE BETA

    - #### RC

          public static final Version.TYPE RC

    - #### FINAL

          public static final Version.TYPE FINAL

  - ### Method Detail

    - #### values

          public static Version.TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Version.TYPE c : Version.TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Version.TYPE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public java.lang.String getId()